| Home | Libraries | People | FAQ | More

## Function template find_head

boost::algorithm::find_head — Find head algorithm.

## Synopsis

    template<typename CollectionT>
      iterator_range< typename result_iterator_of< CollectionT >::type >
      find_head(CollectionT & Input, unsigned int N);

## Description

Get the head of the input. Head is a prefix of the string of the given size. If the input is shorter then required, whole input if considered to be the head.

Parameters

Input

  An input string

N

  Length of the head

Returns: An `iterator_range` delimiting the match. Returned iterator is either `Collection1T::iterator` or `Collection1T::const_iterator` , depending on the constness of the input parameter.
Notes: This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba